Returns roles assigned to the specified user.

GEThttps://api.awork.com/api/v1/projectroles/byuserid/{userId}
GET https://api.awork.com/api/v1/projectroles/byuserid/{userId}

Returns project roles assigned to the specified user in the workspace.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

userIdstringRequired
format: uuid

The id of the user.

Responses

200 OK

application/json

namestringRequired
minLength: 0 maxLength: 255

The name of the project role. Required.

isDefaultboolean or nullOptional

Whether to use this role as default when adding new project members.

defaultProjectRoleIdstring or nullOptional
format: uuid

The id of the new default project role. Required if the updated project role is the current default role.

allowOnlyProjectMasterDataReadbooleanOptional

Whether this role is allowed to have only read permissions for project-master-data.

idstringOptional
format: uuid

The id of the project role.

memberCountintegerOptional
format: int32

The count of members which are linked to this role.

membersarray of object or nullOptional

The members which are linked to this role.

Show 10 properties
idstringOptional
format: uuid

The id of the project member entity.

userIdstringOptional
format: uuid

The id of the user who is this project member.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The project role of the project member.

projectRoleNamestring or nullOptional

The project role name of the project member.

isResponsiblebooleanOptional

Whether the user is responsible for this project.

isDeactivatedbooleanOptional

Whether the user is deactivated.

isExternalbooleanOptional

True if this entity is coming from an external workspace (awork Connect).

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation